<div class="dashboard-wrap">
    <div class="dashboard">
        <div class="container-fluid">
            <!-- "HappyMatch" Page Title -->
            <div class="row">
                <div class="col-xs-12 col-sm-10 col-md-7 text-center">
                    <h1>HappyMatch Questions</h1>
                </div>
            </div>

            <div class="row" *ngIf="_developer">
                <div class="col-xs-12 col-sm-10 col-md-7 col-md-offset-1 content-section">

                    <!-- Next Question Edit Panel -->
                    <question-view-edit
                        *ngIf="_hasUnansweredQuestions()"
                        [developer]="_developer"
                        [isEditMode]="true"></question-view-edit>

                    <!-- List of answered questions -->
                    <div *ngFor="let question of _developer.questions">
                        <question-view-edit
                            *ngIf="question.importance !== undefined"
                            [developer]="_developer"
                            [questionIdx]="_developer.questions.indexOf(question)"></question-view-edit>
                    </div>
                </div>

                <!-- Progress meter indicating the percentage of questions answered. -->
                <div class="hidden-xs hidden-sm col-md-3">
                    <question-progress-meter [developer]='_developer'></question-progress-meter>
                </div>
            </div>
        </div>
    </div>
</div>
